/// Log option configuration.
class LogOption {
  const LogOption({
    this.projectName,
    this.isEnable,
    this.language,
    this.colorTheme,
  });

  ///  Project name.
  final String? projectName;

  /// Whether to enable log output.
  final bool? isEnable;

  /// Log output language type.
  final Language? language;

  ///
  final ColorTheme? colorTheme;

  /// Merge attributes.
  LogOption copy(LogOption? option) {
    return LogOption(
      projectName: option?.projectName ?? projectName ?? 'idkit_log',
      isEnable: option?.isEnable ?? isEnable ?? true,
      language: option?.language ?? language ?? Language.en,
      colorTheme: option?.colorTheme ?? colorTheme ?? ColorTheme.blue,
    );
  }
}

/// Language
enum Language {
  en,
  zh,
}

/// Color theme
enum ColorTheme {
  red,
  yellow,
  green,
  blue,
  cyan,
  white,
  black,
}
